Subject: Re: Strange exec behavior
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 14 Mar 2002 18:18:34 -0500

On Thu, Mar 14, 2002 at 03:38:18PM -0500, Christopher Faylor wrote:
>On Thu, Mar 14, 2002 at 03:19:29PM -0500, Pierre A. Humblet wrote:
>>Is this normal?                     [ please cc: me directly]
>
>Yes.
>
>cgf
>
>>~> ps -W | fgrep /a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>      506       1     345        430    3 11054 13:49:15 /h/a
>>[Incidentally the WINPIDs are reported incorrectly, but that's
>> a side issue ]

FWIW, I've checked in a fix for the incorrect WINPIDs above.

Also, this question has been asked previously in the mailing list.
There should be a description in the archives.  However if you think
about how exec has to work under cygwin it may be obvious why the
processes stay around.  It's possible to optimize things so that just
two processes need to stay around but that would end up adding a fair
amount of code for this one situation.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/